Options

Operator Toolbox missing dependencies

jferriganjferrigan Member Posts: 4 Newbie
All - 

I'm taking a class wherein I had to go back to version 9.10.013 from 10.1 tonight.  I'm only able to see Operator Toolbox version 2.14, which I've downloaded and tried to install but it keeps telling me that I'm missing dependencies.  Based on another thread I found here, the only dependency I'm aware of is on the Text Processing extension, which I have installed and enabled.  

Interestingly, when I installed the Operator Toolbox extension on 10.1 I had no problems.

Any ideas on where I'm going wrong?



Best Answer

  • Options
    GeorgHGeorgH Member Posts: 1 Contributor I
    Solution Accepted
    It worked for me after a manual "downgrade" of the textprocessing plugin to 9.4 (from 10.0). First uninstalling and the installing again.

Answers

  • Options
    MartinLiebigMartinLiebig Administrator, Moderator, Employee, RapidMiner Certified Analyst, RapidMiner Certified Expert, University Professor Posts: 3,517 RM Data Scientist
    Hi,
    interesting. All the other dependencies of Toolbox are bundled extensions like model_simulator etc.

    Can you check the rapidminer-studio.log file in $USER/.RapidMiner . This should have the name of the missing dependency.

    Best,
    Martin
    - Sr. Director Data Solutions, Altair RapidMiner -
    Dortmund, Germany
  • Options
    jferriganjferrigan Member Posts: 4 Newbie
    Hi Martin! - I'm on a Mac and it's been a while since I used UNIX commands, BUT I'm not finding that log file.  I did a search through Finder for the file and nothing came up.  I went to the command line and here's what I'm seeing. Sorry for needing this level of hand holding! Love the tool, BTW.  Very intuitive!   I conferred with some of my classmates and they're running an older vintage of the Text Processing extension (9.4).  I did try downloading the jar file for that version, but again - I've been out of the hands-on development game long enough that I honestly didn't know what to do with it. Thoughts?      
  • Options
    MartinLiebigMartinLiebig Administrator, Moderator, Employee, RapidMiner Certified Analyst, RapidMiner Certified Expert, University Professor Posts: 3,517 RM Data Scientist
    Hey,

    the log file should be in

    /home/johnferrigan/.RapidMiner/

    Best,
    Martin
    - Sr. Director Data Solutions, Altair RapidMiner -
    Dortmund, Germany
  • Options
    jferriganjferrigan Member Posts: 4 Newbie
    Hey Martin - 

    I am so sorry for being difficult here.  I'm just not seeing that folder anywhere on my system.  

  • Options
    jferriganjferrigan Member Posts: 4 Newbie
    Georg / Martin - THANK YOU for your help here.  I greatly appreciate your kindness.  Danke schoen!  Tchuss!
  • Options
    TLoTLo Member Posts: 2 Newbie
    Have the same issue and can't find how to do downgrade the text processing plugin.  Can you point me in the right direction?  Errors from logfile below.  

    WARNING: Extension Text Processing version 10.0.0 requires Studio 10.0.0. Ignoring that extension version.
    SEVERE: Cannot load extension rmx_operator_toolbox: Depends on rmx_text which cannot be found!
Sign In or Register to comment.